import type { IClient, IIssuerConfig, KeyPair, TokenEndpointResponse } from "@inrupt/solid-client-authn-core";
export type CodeExchangeResult = TokenEndpointResponse & {
    idToken: string;
    webId: string;
    clientId?: string;
    dpopKey?: KeyPair;
};
export type TokenEndpointInput = {
    grantType: string;
    redirectUrl: string;
    code: string;
    codeVerifier: string;
};
export declare function validateTokenEndpointResponse(tokenResponse: Record<string, unknown>, dpop: boolean): Record<string, unknown> & {
    access_token: string;
    id_token: string;
    expires_in?: number;
};
export declare function getTokens(issuer: IIssuerConfig, client: IClient, data: TokenEndpointInput, dpop: boolean): Promise<CodeExchangeResult>;
